Bug 1233653 - [abrt] kf5-kactivities: QSqlDatabase::close()(): kactivitymanagerd killed by SIGSEGV
Summary: [abrt] kf5-kactivities: QSqlDatabase::close()(): kactivitymanagerd killed by ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kactivities
Version: 22
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:10f7b447122c5d164c4d8bac60b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-19 11:18 UTC by luis
Modified: 2016-07-19 14:55 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:55:15 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (42.35 KB, text/plain)
2015-06-19 11:18 UTC, luis
no flags Details
File: cgroup (167 bytes, text/plain)
2015-06-19 11:18 UTC, luis
no flags Details
File: core_backtrace (10.40 KB, text/plain)
2015-06-19 11:18 UTC, luis
no flags Details
File: dso_list (11.64 KB, text/plain)
2015-06-19 11:18 UTC, luis
no flags Details
File: environ (2.07 KB, text/plain)
2015-06-19 11:18 UTC, luis
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-19 11:18 UTC, luis
no flags Details
File: maps (39.16 KB, text/plain)
2015-06-19 11:18 UTC, luis
no flags Details
File: mountinfo (3.13 KB, text/plain)
2015-06-19 11:18 UTC, luis
no flags Details
File: namespaces (85 bytes, text/plain)
2015-06-19 11:18 UTC, luis
no flags Details
File: open_fds (1.78 KB, text/plain)
2015-06-19 11:18 UTC, luis
no flags Details
File: proc_pid_status (830 bytes, text/plain)
2015-06-19 11:18 UTC, luis
no flags Details


Links
System ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-35977 None None None Never

Description luis 2015-06-19 11:18:05 UTC
Version-Release number of selected component:
kf5-kactivities-5.10.0-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/kactivitymanagerd start-daemon
crash_function: QSqlDatabase::close()
executable:     /usr/bin/kactivitymanagerd
global_pid:     19195
kernel:         4.0.4-303.fc22.i686+PAE
runlevel:       5 3
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at mié 2015-02-18 05:01:01 MST, end at dom 2015-06-14 14:11:14 MST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QSqlDatabase::close() at /lib/libQt5Sql.so.5
 #1 QSqlDatabase::~QSqlDatabase() at /lib/libQt5Sql.so.5
 #2 QHash<QString, QSqlDatabase>::deleteNode2(QHashData::Node*) at /lib/libQt5Sql.so.5
 #3 QHashData::free_helper(void (*)(QHashData::Node*)) at /lib/libQt5Core.so.5
 #4 (anonymous namespace)::Q_QGS_dbDict::innerFunction()::Holder::~Holder() at /lib/libQt5Sql.so.5
 #5 __run_exit_handlers at /lib/libc.so.6
 #6 exit at /lib/libc.so.6
 #7 _IceDefaultIOErrorHandler at /lib/libICE.so.6
 #8 _IceRead at /lib/libICE.so.6
 #9 IceProcessMessages at /lib/libICE.so.6

Comment 1 luis 2015-06-19 11:18:08 UTC
Created attachment 1040905 [details]
File: backtrace

Comment 2 luis 2015-06-19 11:18:08 UTC
Created attachment 1040906 [details]
File: cgroup

Comment 3 luis 2015-06-19 11:18:09 UTC
Created attachment 1040907 [details]
File: core_backtrace

Comment 4 luis 2015-06-19 11:18:10 UTC
Created attachment 1040908 [details]
File: dso_list

Comment 5 luis 2015-06-19 11:18:11 UTC
Created attachment 1040909 [details]
File: environ

Comment 6 luis 2015-06-19 11:18:12 UTC
Created attachment 1040910 [details]
File: limits

Comment 7 luis 2015-06-19 11:18:13 UTC
Created attachment 1040911 [details]
File: maps

Comment 8 luis 2015-06-19 11:18:14 UTC
Created attachment 1040912 [details]
File: mountinfo

Comment 9 luis 2015-06-19 11:18:15 UTC
Created attachment 1040913 [details]
File: namespaces

Comment 10 luis 2015-06-19 11:18:15 UTC
Created attachment 1040914 [details]
File: open_fds

Comment 11 luis 2015-06-19 11:18:16 UTC
Created attachment 1040915 [details]
File: proc_pid_status

Comment 12 Eugene Mah 2015-07-09 10:11:50 UTC
I believe I've been running into this since upgrading to Fedora 22 and KDE 5. Produces core files every time I log out or shut down my machine.

ABRT reports "kactivitymanagerd quit unexpectedly" but won't allow me to report the issue because of incomplete data

Comment 13 Danny Ciarniello 2015-08-28 16:06:26 UTC
I am seeing the same thing since I upgraded to F22.  Here's an excerpt from journalctl:

org.a11y.atspi.Registry[1957]: XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
org.a11y.atspi.Registry[1957]: after 57365 requests (57365 known processed) with 0 events remaining.
org.gtk.vfs.Daemon[1448]: A connection to the bus can't be made
org.gtk.vfs.Daemon[1448]: g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
org.kde.kglobalaccel[1448]: The X11 connection broke (error 1). Did the X11 server die?
org.gtk.Private.UDisks2VolumeMonitor[1448]: g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
org.gtk.Private.AfcVolumeMonitor[1448]: g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
org.gtk.vfs.Daemon[1448]: A connection to the bus can't be made
org.gtk.vfs.Daemon[1448]: g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
ca.desrt.dconf[1448]: g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
org.gtk.vfs.Daemon[1448]: g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
org.a11y.Bus[1448]: g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
audit[1702]: <audit-1701> auid=1000 uid=1000 gid=1000 ses=2 pid=1702 comm="kactivitymanage" exe="/usr/bin/kactivitymanagerd" sig=11
kernel: kactivitymanage[1702]: segfault at 7f761cc0fcf0 ip 0000003e8ae14731 sp 00007fff8cfc2608 error 4 in libQt5Sql.so.5.5.0[3e8ae00000+3f000]


The last line makes me wonder if this is related to this xorg bug:

https://bugs.freedesktop.org/show_bug.cgi?id=89898

Comment 16 Fedora End Of Life 2016-07-19 14:55:15 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.